For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet logs for one Shipment by Order Id and Shipment Id
      • GETGet one Shipment by Shipment Id
      • GETGet all Shipments for Order
      • GETGet one Shipment's status timeline by Order Id and Shipment Id
      • GETGet Orders
      • POSTCreate Order
      • GETGet one Shipment by Order Id and Shipment Id
      • GETGet Order
      • GETGet one Shipment's status timeline by Shipment Id
      • GETGet logs for one Shipment by Shipment Id
      • POSTCancel one Shipment by Order Id and Shipment Id
      • POSTCancel one Shipment by Shipment Id
      • POSTCancel single Order by Order ID
      • GETGet Order Store Json
      • POSTSave the Store Order Json
      • POSTUpdate Tracking Uploaded Status for Multiple Shipments by Shipment Id
      • POSTCancel multiple Shipments by Shipment Id
      • POSTEstimate Fulfillment Cost For Order
      • GETGet shipping methods
      • GETGet Completely Cancelled Orders
LogoLogo
API ReferenceOrders

Get Order

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2025-07/order/:orderId
GET
/2025-07/order/:orderId
$curl https://sandbox-api.shipbob.com/2025-07/order/1 \
> -H "Authorization: Bearer <token>"
1{
2 "channel": {
3 "id": 0,
4 "name": "ShipBobs-Shopify-Store"
5 },
6 "created_date": "2019-08-24T14:15:22+00:00",
7 "financials": {
8 "total_price": 0.1
9 },
10 "gift_message": "string",
11 "id": 0,
12 "order_number": "string",
13 "products": [
14 {
15 "external_line_id": 0,
16 "gtin": "string",
17 "id": 0,
18 "quantity": 0,
19 "quantity_unit_of_measure_code": "string",
20 "reference_id": "TShirtBlueM",
21 "sku": "TShirtBlueM",
22 "unit_price": 0.1,
23 "upc": "string"
24 }
25 ],
26 "purchase_date": "2019-08-24T14:15:22+00:00",
27 "recipient": {
28 "address": null,
29 "name": "John Doe",
30 "email": "john@example.com",
31 "phone_number": "555-555-5555"
32 },
33 "reference_id": "string",
34 "retailer_program_data": {
35 "addresses": [
36 {
37 "address1": "100 Nowhere Blvd",
38 "city": "Gotham City",
39 "country": "US",
40 "type": "MarkFor",
41 "address2": "Suite 100",
42 "company_name": "Wayne Enterprises",
43 "state": "NJ",
44 "zip_code": "07093"
45 }
46 ],
47 "customer_ticket_number": "string",
48 "delivery_date": "2019-08-24T14:15:22+00:00",
49 "department": "string",
50 "doNotShipBeforeDate": "2019-08-24T14:15:22+00:00",
51 "mark_for_store": "string",
52 "purchase_order_number": "string",
53 "retailer_program_type": "string",
54 "shipByDate": "2019-08-24T14:15:22+00:00"
55 },
56 "shipments": [
57 null
58 ],
59 "shipping_method": "Free 2-day Shipping",
60 "shipping_terms": {
61 "carrier_type": "Parcel",
62 "payment_term": "Collect"
63 },
64 "status": "Processing",
65 "tags": [
66 {
67 "name": "Handling instructions",
68 "value": "Fragile"
69 }
70 ],
71 "type": "DTC"
72}
Was this page helpful?
Previous

Get one Shipment by Order Id and Shipment Id

Next

Get one Shipment's status timeline by Shipment Id

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

orderIdintegerRequired

Headers

shipbob_channel_idintegerOptional
Channel Id for Operation

Response

Success
channelobject
Created by channel metadata
created_datedatetime
Date this order was created
financialsobject
gift_messagestring
Gift message associated with the order
idinteger
Unique id of the order
order_numberstring
User friendly orderId or store order number that will be shown on the Orders Page. If not provided, referenceId will be used
productslist of objects
List of products included in the order
purchase_datedatetime
Date this order was purchase by the end user
recipientobject
Information about the recipient of an order
reference_idstring

Client-defined external unique id of the order

retailer_program_dataobject

Contains properties that needs to be used for fulfilling B2B/Dropship orders.

shipmentslist of any
Shipments affiliated with the order
shipping_methodstring

Client-defined shipping method

shipping_termsobject
Contains shipping properties that need to be used for fulfilling an order.
statusenum
tagslist of objects

Client-defined order tags

typeenum
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error